com.tibbo.aggregate.common.device

## Class DeviceUtils

- java.lang.Object
- - com.tibbo.aggregate.common.device.DeviceUtils

-     public class DeviceUtils
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static FieldFormat` | `DESCRIPTION_FIELD`
    `static java.lang.String` | `ERROR_FIELD`
    `static java.lang.String` | `FIELD_DEVICE_DESCRIPTION`
    `static java.lang.String` | `FIELD_DEVICE_DRIVER`
    `static java.lang.String` | `FIELD_DEVICE_NAME`
    `static FieldFormat` | `NAME_FIELD`
    `static TableFormat` | `VARIABLE_VALUE_ERROR_FORMAT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DeviceUtils()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static DataTable` | `wrap(java.lang.Exception e, int quality)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### FIELD_DEVICE_DRIVER

          public static final java.lang.String FIELD_DEVICE_DRIVER

      See Also:
        Constant Field Values

    - #### FIELD_DEVICE_DESCRIPTION

          public static final java.lang.String FIELD_DEVICE_DESCRIPTION

      See Also:
        Constant Field Values

    - #### FIELD_DEVICE_NAME

          public static final java.lang.String FIELD_DEVICE_NAME

      See Also:
        Constant Field Values

    - #### NAME_FIELD

          public static final FieldFormat NAME_FIELD

    - #### DESCRIPTION_FIELD

          public static final FieldFormat DESCRIPTION_FIELD

    - #### VARIABLE_VALUE_ERROR_FORMAT

          public static final TableFormat VARIABLE_VALUE_ERROR_FORMAT

    - #### ERROR_FIELD

          public static final java.lang.String ERROR_FIELD

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### DeviceUtils

          public DeviceUtils()

  - ### Method Detail

    - #### wrap

          public static DataTable wrap(java.lang.Exception e,
                                       int quality)